AUTOLOG(8)

NAME
autolog - Log out idle users

SYNOPSIS
autolog [ options ]

DESCRIPTION
The program reads the utmp file, entry by entry. The username for each 'user process' is compared to the entries in the configuration file (see autolog.conf(5) ). The first entry to match both the name, the group, and the tty line of the process will be used to conduct the automatic logout.

CALL

/etc/init.d/autolog start
or
autolog
    to run this program in daemon-mode

autolog -o
    to run this program as "ordinary" program. Keep in mind: Also when running as ordinary program, it will stay in memory until all its jobs are done.

OPTIONS

-a  (all processes) Print information on ALL utmp entries--not just user processes.

-d  (debug mode) This is helpful in setting up your configuration file. The program runs in foreground rather than forking and it prints out verbose messages about what it is doing.

-n  (nokill) Use this to prevent autolog from actually "killing" anyone. Use -d and -n together when setting up a new configuration file. ( This will not affect killing of lost processes. )

-o  (ordinary) Use this to run this program as ordinary program, not as daemon. Program will end, when its job is done. In this case, some data is kept in "/var/lib/autolog/autolog.data". This is read, when the program is called again.

-f config_file_name
    Use this to override the default: "/etc/autolog.conf"

-l log_file_name
    Use this to override the default: "/var/log/autolog.log". Note that if this file doesn't exist, no logging will happen. Create the file (with touch) to enable logging.

-t idle_time
    Use this to override the internal default idle time (minutes)

-g grace_period
    Use this to override the internal default grace period (seconds)

-m yes/no
    Use this to override the internal mailing switch. If "yes" the program will send mail to the users right after killing them.

-c yes/no
    Use this to override the internal "pre-clear" switch. If "yes" the program will clear the terminal screen before warning the user.

-w yes/no
    Do timeouts based on total session time--not idle time. (hard)

-l yes/no
    If set to "yes" activities will be written to the logfile if present.

AUTHOR
Kyle Bateman <kyle@actarg.com> (autolog 0.35),
Carsten Juerges <juerges@cip-bau.uni-hannover.de>
(autolog 0.40)

This manual page was modified for Debian by Paul Telford <pxt@debian.org>